## class OSGSIM_EXPORT osgSim::ElevationSector

## Inheritance:

### Public Methods

ElevationSector()
ElevationSector(const ElevationSector& copy, const osg::CopyOp& copyop = osg::CopyOp::SHALLOW_COPY)
ElevationSector(float minElevation, float maxElevation, float fadeAngle=0.0f)
META_Object(osgSim, ElevationSector) ()(const osg::Vec3& eyeLocal) const

### Protected Fields

float _cosMinElevation
float _cosMinFadeElevation
float _cosMaxElevation
float _cosMaxFadeElevation

### Protected Methods

virtual ~ElevationSector()

### Inherited from Sector:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const
virtual float operator() (const osg::Vec3&yeLocal*/) const

### Inherited from ElevationRange:

### Public Methods

void setElevationRange(float minElevation, float maxElevation, float fadeAngle=0.0f)
float getMinElevation() const
float getMaxElevation() const
float getFadeAngle() const
inline float elevationSector(const osg::Vec3& eyeLocal) const

## Documentation

`ElevationSector()`

`ElevationSector(const ElevationSector& copy, const osg::CopyOp& copyop = osg::CopyOp::SHALLOW_COPY)`

`ElevationSector(float minElevation, float maxElevation, float fadeAngle=0.0f)`

`META_Object(osgSim, ElevationSector) ()(const osg::Vec3& eyeLocal) const`

`virtual ~ElevationSector()`

`float _cosMinElevation`

`float _cosMinFadeElevation`

`float _cosMaxElevation`

`float _cosMaxFadeElevation`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.